Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class HibernateBeanWrapper

    java.lang.Object
      org.springframework.beans.BeanWrapperImpl
          org.codehaus.groovy.grails.orm.hibernate.support.HibernateBeanWrapper

    public class HibernateBeanWrapper
    extends BeanWrapperImpl

BeanWrapper implementaion that will not lazy initialize entity properties.

Constructor Summary
`HibernateBeanWrapper()`
`HibernateBeanWrapper(boolean b)`
`HibernateBeanWrapper(java.lang.Object o)`
`HibernateBeanWrapper(java.lang.Class aClass)`
`HibernateBeanWrapper(java.lang.Object o, java.lang.String s, java.lang.Object o1)`

Method Summary
`java.lang.Object` | `getPropertyValue(java.lang.String name)` Checks Hibernate.isInitialized before calling super method.

Constructor Detail

### HibernateBeanWrapper

    public HibernateBeanWrapper()

### HibernateBeanWrapper

    public HibernateBeanWrapper(boolean b)

### HibernateBeanWrapper

    public HibernateBeanWrapper(java.lang.Object o)

### HibernateBeanWrapper

    public HibernateBeanWrapper(java.lang.Class aClass)

### HibernateBeanWrapper

    public HibernateBeanWrapper(java.lang.Object o, java.lang.String s, java.lang.Object o1)

Method Detail

### getPropertyValue

    @Override
    public java.lang.Object getPropertyValue(java.lang.String name)

  Checks Hibernate.isInitialized before calling super method.
  throws:
    BeansException
  Parameters:
    `name` - target property
  Returns:
    null if false or super'name value if true

Groovy Documentation